htop(1)

NAME
htop - interactive process viewer

SYNTAX

htop

DESCRIPTION

This program is a free (GPL) ncurses-based process viewer.

It is similar to top, but allows to scroll the list vertically and horizontally to see all processes and their full command lines.

Tasks related to processes (killing, renicing) can be done without entering their PIDs.

COMMAND-LINE OPTIONS

The following flags are supported:

-d DELAY
    Delay between updates, in tenths of seconds

-u USERNAME
    Show only processes of a given user

--sort-key COLUMN
    Sort by this column (use --sort-key help for a column list)

INTERACTIVE COMMANDS

The following commands are supported:

Arrows, PgUP, PgDn, Home, End
    Scroll process list.

Space
    "Tag": mark a process. Commands that can operate on multiple processes, like "kill", will then apply over the list of tagged processes, instead of the currently highlighted one.

U   "Untag" all processes (remove all tags added with the Space key).

s   Trace process system calls: if strace(1) is installed, pressing this key will attach it to the currently selected process, presenting a live update of system calls issued by the process.

l   Display open files for a process: if lsof(1) is installed, pressing this key will display the list of file descriptors opened by the process.

F1, h
    Help screen

F2, S
    Setup screen. There you can configure meters displayed on the top side of the screen, as well as set various display options, choose among color schemes and select the layout of the displayed columns.

F3, /
    Incremental process search: type in part of a process command line and the selection highlight will be moved to it. While in search mode, pressing this key will cycle through matching occurrences.

F4, I
    Invert sort order: if sort order is increasing, switch to decreasing, and vice-versa.

F5, t
    Tree view: organize processes by parenthood, and layout the relations between them as a tree. Toggling the key will switch between tree and your previously selected sort view. Selecting a sort view will exit tree view.

F6, >
    Select field for sorting. The sort field is indicated by a highlight in the header.

F7, ], -
    Increase selected process priority (subtract from 'nice' value). This can be done by the superuser only.

F8, [, +
    Decrease selected process priority (add to 'nice' value)

F9, k
    "Kill" process: sends a signal which is selected in a menu, to one or a group of processes. If processes were tagged, sends the signal to all tagged processes. If none is tagged, sends to the currently selected process.

F10, q
    Quit

a (on multiprocessor machines)
    Set CPU affinity: mark which CPUs a process is allowed to use.

u   Show only processes owned by a specified user.

M   Sort by memory usage (top compatibility key).

P   Sort by processor usage (top compatibility key).

T   Sort by time (top compatibility key).

F   "Follow" process: if the sort order causes the currently selected process to move in the list, make the selection bar follow it. This is useful for monitoring a process: this way, you can keep a process always visible on screen. When a movement key is used, "follow" loses effect.

K   Hide kernel threads: prevent the threads belonging the kernel to be displayed in the process list. (This is a toggle key.)

H   Hide user threads: on systems that represent them differently than ordinary processes (such as recent NPTL-based systems), this can hide threads from userspace processes in the process list. (This is a toggle key.)

Ctrl-L
    Refresh: redraw screen and recalculate values.

Numbers
    PID search: type in process ID and the selection highlight will be moved to it.

AUTHORS

htop is developed by Hisham Muhammad <loderunner@users.sourceforge.net>.
This man page was written by Bartosz Fenski <fenio@o2.pl> for the Debian GNU/Linux distribution (but it may be used by others), and updated by Hisham Muhammad.